#


# lib is called libwebkitgtk-%{libver}.so.%{major}
%define libver  1.0
%define major	0
%define oname		webkitgtk
%define libname		%mklibname webkitgtk %{libver} %{major}
%define develname	%mklibname webkitgtk %{libver} -d
%define inspectorname	webkit%{libver}-webinspector
%define libgirname      %mklibname %name-gir %{libver}
%define libgirjscore    %mklibname javascriptcore-gir %{libver}
%define libjavascriptcoregtk    %mklibname javascriptcoregtk %{libver} %{major}

%define lib3ver  3.0
%define major3   0
%define major2	25
%define lib3name	%mklibname webkitgtk %{lib3ver} %{major3}
%define libwebkit2	%mklibname webkit2gtk %{lib3ver} %{major2}
%define develname3	%mklibname webkitgtk %{lib3ver} -d
%define inspector3name	webkit%{lib3ver}-webinspector
%define libjavascriptcoregtk3    %mklibname javascriptcoregtk %{lib3ver} %{major3}
%define libgirname3	%mklibname %name-gir %{lib3ver}
%define libgirname2	%mklibname %{name}2-gir %{lib3ver}
%define libgirjscore3	%mklibname javascriptcore-gir %{lib3ver}
%define libgirname2extension %mklibname %{name}2webextension-gir %{lib3ver}

%define build_webkit2 0

Summary:	Web browser engine
Name:		webkitgtk3
Version:	2.4.11
Release:	%mkrel 1
License:	BSD and LGPLv2+
Group:		System/Libraries
Source0:	http://webkitgtk.org/releases/%{oname}-%{version}.tar.xz
Patch0:		webkit-2.3.90-link.patch
Patch2:		webkit-2.1.90-allowScriptsToCloseWindows.patch
Patch3:		webkitgtk-2.1.92-gtk-includes.patch
Patch4:     webkitgtk-typelib-sharelib-link.patch
URL:		http://www.webkitgtk.org
BuildRequires:	bison
BuildRequires:	curl-devel
BuildRequires:	flex
BuildRequires:	fontconfig-devel
BuildRequires:	gperf
BuildRequires:	libicu-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	librsvg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libsoup-devel
BuildRequires:	libtool
BuildRequires:	libxslt-devel
BuildRequires:	libxt-devel
BuildRequires:	pkgconfig
BuildRequires:	gtk+2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	libgail-3.0-devel
BuildRequires:	mesa-devel
BuildRequires:	sqlite3-devel
BuildRequires:	xft2-devel
BuildRequires:	libgstreamer1.0-plugins-base-devel
BuildRequires:	libgnome-keyring-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	enchant-devel
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(geoclue)
BuildRequires:	gail-devel
BuildRequires:	perl-Switch
BuildRequires:	ruby

%description
WebKit is an open source web browser engine.

%package devel
Summary:	Development files for WebKit GTK+ port
Group:		Development/Libraries
Provides:	webkitgtk-devel = %{version}-%{release}
Provides:	libwebkitgtk-devel = %{version}-%{release}
Provides:	%{mklibname webkitgtk -d} = %{version}-%{release}
Requires:   %{name} = %{version}

%description devel
The GTK+ port of WebKit is intended to provide a browser component
primarily for users of the portable GTK+ UI toolkit on platforms like
Linux. This package contains development headers.

%package doc
Summary:	Documentation for WebKit GTK+ port
Group:		Documentation
Requires:   %{name} = %{version}

%description doc
Documentation files for WebKit GTK+ port


%prep
%setup -qn %{oname}-%{version}
%apply_patches

%build
autoreconf -fi
%define myflags %(echo %{optflags} | sed 's/-g /-g1 /')
export CFLAGS="%myflags"
export CXXFLAGS="%myflags"

%configure2_5x  --with-gtk=3.0 --enable-introspection --disable-webkit2

%make

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %{buildroot}%{_libexecdir}/webkit3
install -m 755 Programs/GtkLauncher %{buildroot}%{_libexecdir}/webkit3

rm -rf %{buildroot}%{_libdir}/libtestnetscapeplugin.*

find %{buildroot} -name '*.la' -delete

%find_lang WebKitGTK-3.0

%files -f WebKitGTK-3.0.lang
%dir %{_datadir}/webkitgtk-3.0
%{_datadir}/webkitgtk-3.0/images
%{_datadir}/webkitgtk-3.0/resources
%{_libdir}/libwebkitgtk-%{lib3ver}.so.%{major3}*
%{_libdir}/libjavascriptcoregtk-%{lib3ver}.so.%{major}*
%{_libexecdir}/webkit3/GtkLauncher
%{_bindir}/jsc-3
%_libdir/girepository-1.0/JavaScriptCore-%{lib3ver}.typelib
%_libdir/girepository-1.0/WebKit-%{lib3ver}.typelib

%files devel
%{_libdir}/libwebkitgtk-%{lib3ver}.so
%{_libdir}/libjavascriptcoregtk-%{lib3ver}.so
%{_includedir}/webkitgtk-%{lib3ver}
%{_libdir}/pkgconfig/webkitgtk-%{lib3ver}.pc
%{_libdir}/pkgconfig/javascriptcoregtk-%{lib3ver}.pc
%_datadir/gir-1.0/JavaScriptCore-%{lib3ver}.gir
%_datadir/gir-1.0/WebKit-%{lib3ver}.gir

%files doc
%{_datadir}/gtk-doc/html

%changelog
* Fri Oct 21 2016 adrianomorselli <adrianomorselli> 2.4.11-1uplos2016
- rebuild

* Tue Apr 26 2016 bb <bb> 2.4.11-1pclos2016
- update

